CREATE TABLE IF NOT EXISTS GG_AWARD_TYPES
(
    PK_AWARD_TYPE           NUMBER(12, 0)          ,
    FK_AWARD_PROGRAM        NUMBER(12, 0)          ,
    FK_CLIENT               NUMBER(12, 0)          ,
    DELIVERY_TYPE           VARCHAR2(50)           ,
    ISRANGE                 NUMBER(1, 0)           ,
    MINVALUE                NUMBER(12, 2)          ,
    MAXVALUE                NUMBER(12, 2)          NULL,
    CURRENCY                VARCHAR2(3)            ,
    BILLING_CURRENCY        VARCHAR2(3)            ,
    AWARD_NAME              VARCHAR2(50)           ,
    DISPLAY_PROPS_ID        NUMBER(12, 0)          ,
    SORT_ORDER              NUMBER(5, 0)           NULL,
    TIER                    NUMBER(5, 0)           NULL,
    NOTIFICATION            NUMBER(1, 0)           NULL,
    APPROVAL                NUMBER(1, 0)           NULL,
    IS_CASH                 NUMBER(1)              NULL,
    FK_PERSON_AWARDS        NUMBER(12),
    FK_CLIENT_PROGRAMS      NUMBER(12),
    MAX_WIZARD_TOTAL        NUMBER(12),
    IS_RECOGNITION          NUMBER(1),
    PRIMARY KEY (PK_AWARD_TYPE),
    ideal_delay_cash        NUMBER(12),
    ideal_delay_physical    NUMBER(12),
    ideal_delay_digital     NUMBER(12),
    FK_AWARD_PRINT_TEMPLATE INTEGER,
    IS_VIDEO_ENABLED        NUMBER(1, 0),
    IS_LIVE                 NUMBER(1)    DEFAULT 0 ,
    IS_PRIVATE              NUMBER(1)              ,
    IS_CUSTOM_DELIVERY_DATE NUMBER(1)    DEFAULT 0 ,
    ACTIONABLE_COEFFICIENT  NUMBER(4, 2) DEFAULT 1.0,
    IS_BIRTHDAY             NUMBER(1)    DEFAULT 0,
    IS_COUNTRY_SPECIFIC     NUMBER(1)    DEFAULT 0,
    IS_LINKED_TO_REASON     NUMBER(1)    DEFAULT 0,
    IS_FULLSCREEN           NUMBER(1)    DEFAULT 0,
    FK_INVOICE_GROUP        NUMBER(12, 0),
    award_plus              NUMBER(1)    DEFAULT 0,
    notify_colleagues       NUMBER(1)    DEFAULT 0,
    is_gallery_enabled      NUMBER(1)    DEFAULT 0,
    IS_ENABLED              NUMBER(1)    DEFAULT 1
);